<?
@include('inc/header.php');
?>
<script type='text/javascript' src='js/ajax.js'></script> 
<script>
function submit_pages()
{
	if(document.getElementById('my_name').value=='')
	{
		alert('提交者名字必须填写！');
		document.getElementById('my_name').focus();
		return;
	}
	if(document.getElementById('pages').value=='')
	{
		alert('请输入黑页地址列表！');
		document.getElementById('pages').focus();
		return;
	}
	var my_name=document.getElementById('my_name').value;
	var my_contact=document.getElementById('my_contact').value;
	var pages=document.getElementById('pages').value;
	var arr_pages=pages.split(/\r?\n/)
	if(arr_pages.length>30)
	{
		alert('每次最多只能批量提交30条！');
		document.getElementById('pages').focus();
		return;
	}
	document.getElementById("subbtn").disabled='disabled';
	document.getElementById("pages").disabled="disabled";
	var i=0
	for(i=0;i<arr_pages.length;i++)
	{
		if(arr_pages[i]!=''&&arr_pages[i]!=null)
		{
			var url='./submit_pages.php?s='+new Date().getTime();
			var postdata='my_name='+my_name+'&my_contact='+my_contact+'&my_hacked_url='+arr_pages[i];
			seed(url,postdata,i);
		}
	}
}
</script>
<style>
.main{ text-align:center; padding:10px;border:1px solid #7A7A7A;}
.main input[type='text']{ border:1px solid #7A7A7A; padding:3px; width:200px; margin:10px;}
.main .textbox{ width:600px; height:400px; border:1px solid #7A7A7A; padding:3px;font:12px "微软雅黑","新宋体", Verdana, Geneva, sans-serif;}
#callback{padding-left:10px; width:600px; margin:0 auto; text-align:left; }
</style>
<div class="main">
<p style="font-size:18px; font-weight:bold;">被黑网站批量提交页面</p>
<div id="callback">
</div>
<p>
提示：如果您是某组织的成员，可以用"User@Team"方式提交，QQ/E-Mail可留空。
</p>
<p>
提交者：
<input type="text" id="my_name" value="<?=$_COOKIE['my_name']?>"/>
QQ/E-Mail：
<input type="text" id="my_contact" value="<?=$_COOKIE['my_contact']?>"  />
</p>
<textarea class="textbox" id="pages">
每行一个黑页地址，例如：
http://www.baidu.com/1.txt
http://www.google.com/1.txt
</textarea>
<p style="margin-top:10px;">
<input  id="subbtn" type="image" src="images/submit.gif" onClick="submit_pages();return false" />
</p>
</div>
<?
@include('inc/footer.php');
?>